Subject: Re: bug#68814: 29.1; dired fails to mark links to . or .. for deletion
From: Eli Zaretskii <[email-masked]>
To: Devon Sean McCullough <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Feb 2024 13:54:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 03 Feb 2024 06:11:50 -0600
> From: Devon Sean McCullough <[email-masked]>
> 
> On 2024-02-03 04:40, Eli Zaretskii wrote:
> > That is, would exempting symlinks from the dot-dot rule cause any 
> > problems?
> 
> Seems sensible to me.

Thanks, I've now installed this on the emacs-29 branch, and I'm
closing this bug.

> P.S.  I am uncomfortable with how dired deals with $ touch '. . .'
> but perhaps that can of worms can remain unopened for now,
> LOL, wonder what will happen with $ touch $'foo\nbar'

Yes, that's a separate issue.